* Do-file for Replication
* In order too run this file, create a directory entitled "C:\replication\" and
* place data files into it.

* Recoding Pew survey data
set more off
set mem 500m
use "C:\replication\gap_2007_data_1.dta", clear

* Dependent variables
* Atttitude toward US
* Binary variable for unfavorable and very unfavorable attitudes, treating "don't know" and "refused" as missing
gen unfav3_usa=q16a
recode unfav3_usa (1=0) (2=0) (3=1) (4=1) (8=.) (9=.)

* Atttitude toward China
* Binary variable for unfavorable and very unfavorable attitudes, treating "don't know" and "refused" as missing
gen unfav3_chi=q16c
recode unfav3_chi (1=0) (2=0) (3=1) (4=1) (8=.) (9=.)

* US as "greatest threat"
gen usthreat_arg=1 if q59_1arg==1
replace usthreat_arg=0 if q59_1arg~=1 & q59_1arg~=.

gen usthreat_bng=1 if q59_1ban==1
replace usthreat_bng=1 if q59_3ban==1
replace usthreat_bng=0 if usthreat_bng~=1 & q59_1ban~=.

gen usthreat_bol=1 if q59_1bol==1
replace usthreat_bol=1 if q59_2bol==1
replace usthreat_bol=1 if q59_3bol==1
replace usthreat_bol=0 if usthreat_bol~=1 & q59_1bol~=.

gen usthreat_bra=1 if q59_1bra==1
replace usthreat_bra=1 if q59_2bra==1
replace usthreat_bra=1 if q59_3bra==1
replace usthreat_bra=0 if usthreat_bra~=1 & q59_1bra~=.

gen usthreat_bul=1 if q59_1bul==1
replace usthreat_bul=1 if q59_2bul==1
replace usthreat_bul=1 if q59_3bul==1
replace usthreat_bul=0 if usthreat_bul~=1 & q59_1bul~=.

gen usthreat_can=1 if q59_1can==8
replace usthreat_can=1 if q59_2can==8
replace usthreat_can=1 if q59_3can==8
replace usthreat_can=0 if usthreat_can~=1 & q59_1can~=.

gen usthreat_chi=1 if q59_1c_a==1
replace usthreat_chi=1 if q59_2c_a==1
replace usthreat_chi=1 if q59_3c_a==1
replace usthreat_chi=0 if usthreat_chi~=1 & q59_1c_a~=.

gen usthreat_chl=1 if q59_1chi==1
replace usthreat_chl=1 if q59_2chi==1
replace usthreat_chl=1 if q59_3chi==1
replace usthreat_chl=0 if usthreat_chl~=1 & q59_1chi~=.

gen usthreat_czr=1 if q59_1cze==1
replace usthreat_czr=1 if q59_2cze==1
replace usthreat_czr=1 if q59_3cze==1
replace usthreat_czr=0 if usthreat_czr~=1 & q59_1cze~=.

gen usthreat_egy=1 if q59_1egy==1
replace usthreat_egy=1 if q59_2egy==1
replace usthreat_egy=1 if q59_3egy==1
replace usthreat_egy=0 if usthreat_egy~=1 & q59_1egy~=.

gen usthreat_eth=1 if q59_1eth==1
replace usthreat_eth=1 if q59_2eth==1
replace usthreat_eth=1 if q59_3eth==1
replace usthreat_eth=0 if usthreat_eth~=1 & q59_1eth~=.

gen usthreat_frn=1 if q59_1fra==42
replace usthreat_frn=1 if q59_2fra==42
replace usthreat_frn=1 if q59_3fra==42
replace usthreat_frn=0 if usthreat_frn~=1 & q59_1fra~=.

gen usthreat_ukg=1 if q59_1gbr==1
replace usthreat_ukg=1 if q59_2gbr==1
replace usthreat_ukg=1 if q59_3gbr==1
replace usthreat_ukg=0 if usthreat_ukg~=1 & q59_1gbr~=.

gen usthreat_gmy=1 if q59_1ger==1
replace usthreat_gmy=1 if q59_2ger==1
replace usthreat_gmy=1 if q59_3ger==1
replace usthreat_gmy=0 if usthreat_gmy~=1 & q59_1ger~=.

gen usthreat_gha=1 if q59_1gha==1
replace usthreat_gha=1 if q59_2gha==1
replace usthreat_gha=1 if q59_3gha==1
replace usthreat_gha=0 if usthreat_gha~=1 & q59_1gha~=.

gen usthreat_ind=1 if q59_1ind==1
replace usthreat_ind=1 if q59_2ind==1
replace usthreat_ind=1 if q59_3ind==1
replace usthreat_ind=0 if usthreat_ind~=1 & q59_1ind~=.

gen usthreat_ins=1 if q59_1i_a==1
replace usthreat_ins=1 if q59_2i_a==1
replace usthreat_ins=1 if q59_3i_a==1
replace usthreat_ins=0 if usthreat_ins~=1 & q59_1i_a~=.

gen usthreat_isr=1 if q59_1isr==1
replace usthreat_isr=1 if q59_2isr==1
replace usthreat_isr=1 if q59_3isr==1
replace usthreat_isr=0 if usthreat_isr~=1 & q59_1isr~=.

gen usthreat_ita=1 if q59_1ita==1
replace usthreat_ita=1 if q59_2ita==1
replace usthreat_ita=1 if q59_3ita==1
replace usthreat_ita=0 if usthreat_ita~=1 & q59_1ita~=.

gen usthreat_cdi=1 if q59_1ivo==1
replace usthreat_cdi=1 if q59_2ivo==1
replace usthreat_cdi=1 if q59_3ivo==1
replace usthreat_cdi=0 if usthreat_cdi~=1 & q59_1ivo~=.

gen usthreat_jpn=1 if q59_1jap==1
replace usthreat_jpn=1 if q59_2jap==1
replace usthreat_jpn=1 if q59_3jap==1
replace usthreat_jpn=0 if usthreat_jpn~=1 & q59_1jap~=.

gen usthreat_jor=1 if q59_1jor==1
replace usthreat_jor=1 if q59_2jor==1
replace usthreat_jor=1 if q59_3jor==1
replace usthreat_jor=0 if usthreat_jor~=1 & q59_1jor~=.

gen usthreat_ken=1 if q59_1ken==1
replace usthreat_ken=1 if q59_2ken==1
replace usthreat_ken=1 if q59_3ken==1
replace usthreat_ken=0 if usthreat_ken~=1 & q59_1ken~=.

gen usthreat_kuw=1 if q59_1kuw==1
replace usthreat_kuw=1 if q59_2kuw==1
replace usthreat_kuw=1 if q59_3kuw==1
replace usthreat_kuw=0 if usthreat_kuw~=1 & q59_1kuw~=.

gen usthreat_leb=1 if q59_1leb==1
replace usthreat_leb=1 if q59_2leb==1
replace usthreat_leb=1 if q59_3leb==1
replace usthreat_leb=0 if usthreat_leb~=1 & q59_1leb~=.

gen usthreat_mal=1 if q59_1mal==1
replace usthreat_mal=1 if q59_2mal==1
replace usthreat_mal=1 if q59_3mal==1
replace usthreat_mal=0 if usthreat_mal~=1 & q59_1mal~=.

gen usthreat_mli=1 if q59_1m_a==1
replace usthreat_mli=1 if q59_2m_a==1
replace usthreat_mli=1 if q59_3m_a==1
replace usthreat_mli=0 if usthreat_mli~=1 & q59_1m_a~=.

gen usthreat_mex=1 if q59_1mex==1
replace usthreat_mex=1 if q59_2mex==1
replace usthreat_mex=1 if q59_3mex==1
replace usthreat_mex=0 if usthreat_mex~=1 & q59_1mex~=.

gen usthreat_mor=1 if q59_1mor==1
replace usthreat_mor=1 if q59_2mor==1
replace usthreat_mor=1 if q59_3mor==1
replace usthreat_mor=0 if usthreat_mor~=1 & q59_1mor~=.

gen usthreat_nig=1 if q59_1nig==1
replace usthreat_nig=1 if q59_2nig==1
replace usthreat_nig=1 if q59_3nig==1
replace usthreat_nig=0 if usthreat_nig~=1 & q59_1nig~=.

gen usthreat_pak=1 if q59_1pak==1
replace usthreat_pak=1 if q59_2pak==1
replace usthreat_pak=1 if q59_3pak==1
replace usthreat_pak=0 if usthreat_pak~=1 & q59_1pak~=.

gen usthreat_pal=1 if q59_1pal==1
replace usthreat_pal=1 if q59_2pal==1
replace usthreat_pal=1 if q59_3pal==1
replace usthreat_pal=0 if usthreat_pal~=1 & q59_1pal~=.

gen usthreat_per=1 if q59_1per==1
replace usthreat_per=1 if q59_2per==1
replace usthreat_per=1 if q59_3per==1
replace usthreat_per=0 if usthreat_per~=1 & q59_1per~=.

gen usthreat_pol=1 if q59_1pol==1
replace usthreat_pol=1 if q59_2pol==1
replace usthreat_pol=1 if q59_3pol==1
replace usthreat_pol=0 if usthreat_pol~=1 & q59_1pol~=.

gen usthreat_rus=1 if q59_1rus==1
replace usthreat_rus=1 if q59_2rus==1
replace usthreat_rus=1 if q59_3rus==1
replace usthreat_rus=0 if usthreat_rus~=1 & q59_1rus~=.

gen usthreat_saf=1 if q59_1saf==1
replace usthreat_saf=1 if q59_2saf==1
replace usthreat_saf=1 if q59_3saf==1
replace usthreat_saf=0 if usthreat_saf~=1 & q59_1saf~=.

gen usthreat_sen=1 if q59_1sen==1
replace usthreat_sen=1 if q59_2sen==1
replace usthreat_sen=1 if q59_3sen==1
replace usthreat_sen=0 if usthreat_sen~=1 & q59_1sen~=.

gen usthreat_rok=1 if q59_1sko==1
replace usthreat_rok=1 if q59_2sko==1
replace usthreat_rok=1 if q59_3sko==1
replace usthreat_rok=0 if usthreat_rok~=1 & q59_1sko~=.

gen usthreat_slo=1 if q59_1slo==1
replace usthreat_slo=1 if q59_2slo==1
replace usthreat_slo=1 if q59_3slo==1
replace usthreat_slo=0 if usthreat_slo~=1 & q59_1slo~=.

gen usthreat_spn=1 if q59_1spa==1
replace usthreat_spn=1 if q59_2spa==1
replace usthreat_spn=1 if q59_3spa==1
replace usthreat_spn=0 if usthreat_spn~=1 & q59_1spa~=.

gen usthreat_swd=1 if q59_1swe==1
replace usthreat_swd=1 if q59_2swe==1
replace usthreat_swd=1 if q59_3swe==1
replace usthreat_swd=0 if usthreat_swd~=1 & q59_1swe~=.

gen usthreat_taz=1 if q59_1tan==1
replace usthreat_taz=1 if q59_2tan==1
replace usthreat_taz=1 if q59_3tan==1
replace usthreat_taz=0 if usthreat_taz~=1 & q59_1tan~=.

gen usthreat_tur=1 if q59_1tur==1
replace usthreat_tur=1 if q59_2tur==1
replace usthreat_tur=1 if q59_3tur==1
replace usthreat_tur=0 if usthreat_tur~=1 & q59_1tur~=.

gen usthreat_uga=1 if q59_1uga==1
replace usthreat_uga=1 if q59_2uga==1
replace usthreat_uga=1 if q59_3uga==1
replace usthreat_uga=0 if usthreat_uga~=1 & q59_1uga~=.

gen usthreat_ukr=1 if q59_1ukr==1
replace usthreat_ukr=1 if q59_2ukr==1
replace usthreat_ukr=1 if q59_3ukr==1
replace usthreat_ukr=0 if usthreat_ukr~=1 & q59_1ukr~=.

gen usthreat_ven=1 if q59_1ven==1
replace usthreat_ven=1 if q59_2ven==1
replace usthreat_ven=1 if q59_3ven==1
replace usthreat_ven=0 if usthreat_ven~=1 & q59_1ven~=.

egen usthreat=rowtotal(usthreat_arg usthreat_bng usthreat_bol usthreat_bra usthreat_bul usthreat_can usthreat_chi usthreat_chl usthreat_czr usthreat_egy usthreat_eth usthreat_frn usthreat_ukg usthreat_gmy usthreat_gha usthreat_ind usthreat_ins usthreat_isr usthreat_ita usthreat_cdi usthreat_jpn usthreat_jor usthreat_ken usthreat_kuw usthreat_leb usthreat_mal usthreat_mli usthreat_mex usthreat_mor usthreat_nig usthreat_pak usthreat_pal usthreat_per usthreat_pol usthreat_rus usthreat_saf usthreat_sen usthreat_rok usthreat_slo usthreat_spn usthreat_swd usthreat_taz usthreat_tur usthreat_uga usthreat_ukr usthreat_ven)

* China as "greatest threat"
gen chthreat_arg=1 if q59_1arg==2
replace chthreat_arg=1 if q59_2arg==2
replace chthreat_arg=1 if q59_3arg==2
replace chthreat_arg=0 if chthreat_arg~=1 & q59_1arg~=.

gen chthreat_bng=1 if q59_1ban==2
replace chthreat_bng=1 if q59_2ban==2
replace chthreat_bng=1 if q59_3ban==2
replace chthreat_bng=0 if chthreat_bng~=1 & q59_1ban~=.

gen chthreat_bol=1 if q59_1bol==2
replace chthreat_bol=1 if q59_2bol==2
replace chthreat_bol=1 if q59_3bol==2
replace chthreat_bol=0 if chthreat_bol~=1 & q59_1bol~=.

gen chthreat_bra=1 if q59_1bra==2
replace chthreat_bra=1 if q59_2bra==2
replace chthreat_bra=1 if q59_3bra==2
replace chthreat_bra=0 if chthreat_bra~=1 & q59_1bra~=.

gen chthreat_bul=1 if q59_1bul==2
replace chthreat_bul=1 if q59_2bul==2
replace chthreat_bul=1 if q59_3bul==2
replace chthreat_bul=0 if chthreat_bul~=1 & q59_1bul~=.

gen chthreat_can=1 if q59_1can==2
replace chthreat_can=1 if q59_2can==2
replace chthreat_can=1 if q59_3can==2
replace chthreat_can=0 if chthreat_can~=1 & q59_1can~=.

gen chthreat_chl=1 if q59_1chi==2
replace chthreat_chl=1 if q59_2chi==2
replace chthreat_chl=1 if q59_3chi==2
replace chthreat_chl=0 if chthreat_chl~=1 & q59_1chi~=.

gen chthreat_czr=1 if q59_1cze==2
replace chthreat_czr=1 if q59_2cze==2
replace chthreat_czr=1 if q59_3cze==2
replace chthreat_czr=0 if chthreat_czr~=1 & q59_1cze~=.

gen chthreat_egy=1 if q59_1egy==4
replace chthreat_egy=1 if q59_2egy==4
replace chthreat_egy=1 if q59_3egy==4
replace chthreat_egy=0 if chthreat_egy~=1 & q59_1egy~=.

gen chthreat_eth=1 if q59_1eth==2
replace chthreat_eth=1 if q59_2eth==2
replace chthreat_eth=1 if q59_3eth==2
replace chthreat_eth=0 if chthreat_eth~=1 & q59_1eth~=.

gen chthreat_frn=1 if q59_1fra==5
replace chthreat_frn=1 if q59_2fra==5
replace chthreat_frn=1 if q59_3fra==5
replace chthreat_frn=0 if chthreat_frn~=1 & q59_1fra~=.

gen chthreat_ukg=1 if q59_1gbr==2
replace chthreat_ukg=1 if q59_2gbr==2
replace chthreat_ukg=1 if q59_3gbr==2
replace chthreat_ukg=0 if chthreat_ukg~=1 & q59_1gbr~=.

gen chthreat_gmy=1 if q59_1ger==2
replace chthreat_gmy=1 if q59_2ger==2
replace chthreat_gmy=1 if q59_3ger==2
replace chthreat_gmy=0 if chthreat_gmy~=1 & q59_1ger~=.

gen chthreat_gha=1 if q59_1gha==2
replace chthreat_gha=1 if q59_2gha==2
replace chthreat_gha=1 if q59_3gha==2
replace chthreat_gha=0 if chthreat_gha~=1 & q59_1gha~=.

gen chthreat_ind=1 if q59_1ind==2
replace chthreat_ind=1 if q59_2ind==2
replace chthreat_ind=1 if q59_3ind==2
replace chthreat_ind=0 if chthreat_ind~=1 & q59_1ind~=.

gen chthreat_ins=1 if q59_1i_a==2
replace chthreat_ins=1 if q59_2i_a==2
replace chthreat_ins=1 if q59_3i_a==2
replace chthreat_ins=0 if chthreat_ins~=1 & q59_1i_a~=.

gen chthreat_isr=1 if q59_1isr==4
replace chthreat_isr=1 if q59_2isr==4
replace chthreat_isr=1 if q59_3isr==4
replace chthreat_isr=0 if chthreat_isr~=1 & q59_1isr~=.

gen chthreat_ita=1 if q59_1ita==2
replace chthreat_ita=1 if q59_2ita==2
replace chthreat_ita=1 if q59_3ita==2
replace chthreat_ita=0 if chthreat_ita~=1 & q59_1ita~=.

gen chthreat_cdi=1 if q59_1ivo==2
replace chthreat_cdi=1 if q59_2ivo==2
replace chthreat_cdi=1 if q59_3ivo==2
replace chthreat_cdi=0 if chthreat_cdi~=1 & q59_1ivo~=.

gen chthreat_jpn=1 if q59_1jap==2
replace chthreat_jpn=1 if q59_2jap==2
replace chthreat_jpn=1 if q59_3jap==2
replace chthreat_jpn=0 if chthreat_jpn~=1 & q59_1jap~=.

gen chthreat_jor=1 if q59_1jor==4
replace chthreat_jor=1 if q59_2jor==4
replace chthreat_jor=1 if q59_3jor==4
replace chthreat_jor=0 if chthreat_jor~=1 & q59_1jor~=.

gen chthreat_ken=1 if q59_1ken==5
replace chthreat_ken=1 if q59_2ken==5
replace chthreat_ken=1 if q59_3ken==5
replace chthreat_ken=0 if chthreat_ken~=1 & q59_1ken~=.

gen chthreat_kuw=1 if q59_1kuw==4
replace chthreat_kuw=1 if q59_2kuw==4
replace chthreat_kuw=1 if q59_3kuw==4
replace chthreat_kuw=0 if chthreat_kuw~=1 & q59_1kuw~=.

gen chthreat_leb=1 if q59_1leb==4
replace chthreat_leb=1 if q59_2leb==4
replace chthreat_leb=1 if q59_3leb==4
replace chthreat_leb=0 if chthreat_leb~=1 & q59_1leb~=.

gen chthreat_mal=1 if q59_1mal==2
replace chthreat_mal=1 if q59_2mal==2
replace chthreat_mal=1 if q59_3mal==2
replace chthreat_mal=0 if chthreat_mal~=1 & q59_1mal~=.

gen chthreat_mli=1 if q59_1m_a==2
replace chthreat_mli=1 if q59_2m_a==2
replace chthreat_mli=1 if q59_3m_a==2
replace chthreat_mli=0 if chthreat_mli~=1 & q59_1m_a~=.

gen chthreat_mex=1 if q59_1mex==2
replace chthreat_mex=1 if q59_2mex==2
replace chthreat_mex=1 if q59_3mex==2
replace chthreat_mex=0 if chthreat_mex~=1 & q59_1mex~=.

gen chthreat_mor=1 if q59_1mor==4
replace chthreat_mor=1 if q59_2mor==4
replace chthreat_mor=1 if q59_3mor==4
replace chthreat_mor=0 if chthreat_mor~=1 & q59_1mor~=.

gen chthreat_nig=1 if q59_1nig==2
replace chthreat_nig=1 if q59_2nig==2
replace chthreat_nig=1 if q59_3nig==2
replace chthreat_nig=0 if chthreat_nig~=1 & q59_1nig~=.

gen chthreat_pak=1 if q59_1pak==4
replace chthreat_pak=1 if q59_2pak==4
replace chthreat_pak=1 if q59_3pak==4
replace chthreat_pak=0 if chthreat_pak~=1 & q59_1pak~=.

gen chthreat_pal=1 if q59_1pal==4
replace chthreat_pal=1 if q59_2pal==4
replace chthreat_pal=1 if q59_3pal==4
replace chthreat_pal=0 if chthreat_pal~=1 & q59_1pal~=.

gen chthreat_per=1 if q59_1per==2
replace chthreat_per=1 if q59_2per==2
replace chthreat_per=1 if q59_3per==2
replace chthreat_per=0 if chthreat_per~=1 & q59_1per~=.

gen chthreat_pol=1 if q59_1pol==2
replace chthreat_pol=1 if q59_2pol==2
replace chthreat_pol=1 if q59_3pol==2
replace chthreat_pol=0 if chthreat_pol~=1 & q59_1pol~=.

gen chthreat_rus=1 if q59_1rus==2
replace chthreat_rus=1 if q59_2rus==2
replace chthreat_rus=1 if q59_3rus==2
replace chthreat_rus=0 if chthreat_rus~=1 & q59_1rus~=.

gen chthreat_saf=1 if q59_1saf==2
replace chthreat_saf=1 if q59_2saf==2
replace chthreat_saf=1 if q59_3saf==2
replace chthreat_saf=0 if chthreat_saf~=1 & q59_1saf~=.

gen chthreat_sen=1 if q59_1sen==2
replace chthreat_sen=1 if q59_2sen==2
replace chthreat_sen=1 if q59_3sen==2
replace chthreat_sen=0 if chthreat_sen~=1 & q59_1sen~=.

gen chthreat_rok=1 if q59_1sko==2
replace chthreat_rok=1 if q59_2sko==2
replace chthreat_rok=1 if q59_3sko==2
replace chthreat_rok=0 if chthreat_rok~=1 & q59_1sko~=.

gen chthreat_slo=1 if q59_1slo==2
replace chthreat_slo=1 if q59_2slo==2
replace chthreat_slo=1 if q59_3slo==2
replace chthreat_slo=0 if chthreat_slo~=1 & q59_1slo~=.

gen chthreat_spn=1 if q59_1spa==2
replace chthreat_spn=1 if q59_2spa==2
replace chthreat_spn=1 if q59_3spa==2
replace chthreat_spn=0 if chthreat_spn~=1 & q59_1spa~=.

gen chthreat_taz=1 if q59_1tan==2
replace chthreat_taz=1 if q59_2tan==2
replace chthreat_taz=1 if q59_3tan==2
replace chthreat_taz=0 if chthreat_taz~=1 & q59_1tan~=.

gen chthreat_tur=1 if q59_1tur==2
replace chthreat_tur=1 if q59_2tur==2
replace chthreat_tur=1 if q59_3tur==2
replace chthreat_tur=0 if chthreat_tur~=1 & q59_1tur~=.

gen chthreat_uga=1 if q59_1uga==2
replace chthreat_uga=1 if q59_2uga==2
replace chthreat_uga=1 if q59_3uga==2
replace chthreat_uga=0 if chthreat_uga~=1 & q59_1uga~=.

gen chthreat_ukr=1 if q59_1ukr==2
replace chthreat_ukr=1 if q59_2ukr==2
replace chthreat_ukr=1 if q59_3ukr==2
replace chthreat_ukr=0 if chthreat_ukr~=1 & q59_1ukr~=.

gen chthreat_ven=1 if q59_1ven==2
replace chthreat_ven=1 if q59_2ven==2
replace chthreat_ven=1 if q59_3ven==2
replace chthreat_ven=0 if chthreat_ven~=1 & q59_1ven~=.

gen chthreat_usa=1 if q59_1us==5
replace chthreat_usa=1 if q59_2us==5
replace chthreat_usa=1 if q59_3us==5
replace chthreat_usa=0 if chthreat_usa~=1 & q59_1us~=.

egen chthreat=rowtotal(chthreat_arg chthreat_bng chthreat_bol chthreat_bra chthreat_bul chthreat_can chthreat_usa chthreat_chl chthreat_czr chthreat_egy chthreat_eth chthreat_frn chthreat_ukg chthreat_gmy chthreat_gha chthreat_ind chthreat_ins chthreat_isr chthreat_ita chthreat_cdi chthreat_jpn chthreat_jor chthreat_ken chthreat_kuw chthreat_leb chthreat_mal chthreat_mli chthreat_mex chthreat_mor chthreat_nig chthreat_pak chthreat_pal chthreat_per chthreat_pol chthreat_rus chthreat_saf chthreat_sen chthreat_rok chthreat_slo chthreat_spn chthreat_taz chthreat_tur chthreat_uga chthreat_ukr chthreat_ven)


* Independent variables
* Gender
gen female=q107
recode female (1=0) (2=1)

* Age
gen age=q108
recode age (98=.) (99=.)
gen agesquared=age*age

* Education for Argentina
gen edu_arg=q118arg
recode edu_arg (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3) (99=.)

* Education for Bangladesh
gen edu_bng=q118ban
recode edu_bng (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3)

* Education for Bolivia
gen edu_bol=q118bol
recode edu_bol (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3)

* Education for Brazil
gen edu_bra=q118bra
recode edu_bra (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3)

* Education for Bulgaria
gen edu_bul=q118bul
recode edu_bul (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3) (98=.)

* Education for Canada
gen edu_can=q118can
recode edu_can (1=1) (2=1) (3=2) (4=2) (5=2) (6=3) (7=3) (8=3) (98=.) (99=.)

* Education for Chile
gen edu_chl=q118chil
recode edu_chl (1=1) (2=1) (3=2) (4=2) (5=3) (98=.) (99=.)

* Education for China
gen edu_chi=q118chin
recode edu_chi (1=1) (2=1) (3=2) (4=2) (5=3) (6=3) (7=3) (8=3) (97=1) (99=.)

* Education for the Czech Republic
gen edu_czr=q118cze
recode edu_czr (1=1) (2=1) (3=1) (4=2) (5=2) (6=3) (7=3) (8=3) (9=3)

* Education for Egypt
gen edu_egy=q118egy
recode edu_egy (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=3) (8=3) (9=3)

* Education for Ethiopia
gen edu_eth=q118eth
recode edu_eth (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3) (99=.)

*Education for France
gen edu_frn=q118fra
recode edu_frn (1=1) (2=1) (3=2) (4=2) (5=3) (6=3)

* Education for Britain
gen edu_ukg=q118gbr
recode edu_ukg (1=1) (2=1) (3=2) (4=2) (5=3) (6=3) (7=3) (8=.) (9=.)

* Education for Germany
gen edu_gmy=q118ger
recode edu_gmy (1=1) (2=1) (3=1) (4=2) (5=2) (6=3) (8=.) (9=.)

* Education for Ghana
gen edu_gha=q118gha
recode edu_gha (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3) (99=.)

* Education for India
gen edu_ind=q118inda
recode edu_ind (1=1) (2=1) (3=1) (4=1) (5=2) (6=3) (7=3) (8=3) (98=.)

* Education for Indonesia
gen edu_ins=q118indo
recode edu_ins (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3)

* Education for Israel
gen edu_isr=q118isr
recode edu_isr (1=1) (2=1) (3=1) (6=2) (7=2) (8=3) (9=3) (10=3) (98=.) (99=.)

* Education for Italy
gen edu_ita=q118ita
recode edu_ita (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3) (98=.)

* Education for Ivory Coast
gen edu_cdi=q118ivo
recode edu_cdi (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3)

* Education for Japan
gen edu_jpn=q118jap
recode edu_jpn (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=2) (9=3) (10=3) (11=3) (12=3) (13=3) (14=3) (15=3) (16=3) (17=3) (99=.)

* Education for Jordan
gen edu_jor=q118jor
recode edu_jor (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3)

* Education for Kenya
gen edu_ken=q118ken0
recode edu_ken (1=1) (2=1) (3=1) (4=2) (5=2) (6=3) (7=3) (8=3) (9=3) (99=.)

* Education for Kuwait
gen edu_kuw=q118kuw
recode edu_kuw (1=1) (2=1) (3=1) (4=1) (5=2) (6=2) (7=3) (8=3) (10=.)

* Education for Lebanon
gen edu_leb=q118leb
recode edu_leb (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3)

* Education for Malaysia
gen edu_mal=q118mala
recode edu_mal (1=1) (2=1) (3=2) (4=2) (5=3) (6=3) (7=3) (8=.)

* Education for Mali
gen edu_mli=q118mali
recode edu_mli (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3)

* Education for Mexico
gen edu_mex=q118mex
recode edu_mex (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3) (10=.) (11=.)

* Education for Morocco
gen edu_mor=q118mor
recode edu_mor (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3)

* Education for Nigeria
gen edu_nig=q118nig
recode edu_nig (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3) (10=3) (11=3) (12=3) (13=3) (14=.) (15=.)

* Education for Pakistan
gen edu_pak=q118pak
recode edu_pak (1=1) (2=1) (3=1) (4=1) (5=2) (6=2) (7=2) (8=3) (98=.)

* Education for Palestinian territories
gen edu_pal=q118pal
recode edu_pal (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3) (11=.)

* Education for Peru
gen edu_per=q118per
recode edu_per (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3)

* Education for Poland
gen edu_pol=q118pol
recode edu_pol (1=1) (2=1) (3=1) (4=2) (5=2) (6=3) (7=3) (8=3) (9=3)

* Education for Russia
gen edu_rus=q118rus
recode edu_rus (1=1) (2=1) (3=1) (4=2) (5=2) (6=3) (7=3) (98=.) (99=.)

* Education for South Africa
gen edu_saf=q118safr
recode edu_saf (1=1) (2=1) (3=1) (4=2) (5=2) (6=3) (98=.)

* Education for Senegal
gen edu_sen=q118sen
recode edu_sen (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3)

* Education for South Korea
gen edu_rok=q118skor
recode edu_rok (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3) (99=.)

* Education for Slovakia
gen edu_slo=q118slo
recode edu_slo (1=1) (2=1) (3=1) (4=2) (5=2) (6=3) (7=3) (8=3) (9=3)

* Education for Spain
gen edu_spn=q118spa
recode edu_spn (1=1) (2=1) (3=1) (4=2) (5=2) (6=3) (7=2)

* Education for Sweden
gen edu_swd=q118swe
recode edu_swd (1=1) (2=2) (3=3) (4=3) (5=3) (8=.) (9=.)

* Education for Tanzania
gen edu_taz=q118tan
recode edu_taz (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3)

* Education for Turkey
gen edu_tur=q118tur
recode edu_tur (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3) (98=.) (99=.)

* Education for Uganda
gen edu_uga=q118uga
recode edu_uga (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3) (99=.)

* Education for Ukraine
gen edu_ukr=q118ukr
recode edu_ukr (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=2) (8=3) (9=3) (10=3)

* Education for United States
gen edu_usa=q118us
recode edu_usa (1=1) (2=2) (3=2) (4=2) (5=3) (6=3) (7=3) (9=.)

* Education for Venezuela
gen edu_ven=q118ven
recode edu_ven (1=1) (2=1) (3=1) (4=2) (5=2) (6=2) (7=3) (8=3) (9=3) (10=3) (11=3) (12=1)

* Overall education variable
egen education=rowtotal(edu_arg edu_bng edu_bol edu_bra edu_bul edu_can edu_chl edu_chi edu_czr edu_egy edu_eth edu_frn edu_ukg edu_gmy edu_gha edu_ind edu_ins edu_isr edu_ita edu_cdi edu_jpn edu_jor edu_ken edu_kuw edu_leb edu_mal edu_mli edu_mex edu_mor edu_nig edu_pak edu_pal edu_per edu_pol edu_rus edu_saf edu_sen edu_rok edu_slo edu_spn edu_swd edu_taz edu_tur edu_uga edu_ukr edu_usa edu_ven)
recode education 0=.

* Attitudes toward international trade
* Ordinal, "Don't know" as neutral category and omitting "Refused"
gen protrade2=q21
recode protrade2 (1=5) (2=4) (3=2) (4=1) (8=3) (9=.)
* Ordinal, omitting "Don't know" and "Refused"
gen protrade=q21
recode protrade (1=4) (2=3) (3=2) (4=1) (8=.) (9=.)
* Binary, omitting "Don't know" and "Refused"
gen protrade01_3=q21
recode protrade01_3 (1=1) (2=1) (3=0) (4=0) (8=.) (9=.)

* Attitudes toward FDI
* Ordinal, omitting "Don't know" and Refused"
gen profdi=q23g
recode profdi (1=4) (2=3) (3=2) (4=1) (8=.) (9=.)
* Ordinal, "Don't know" as neutral category and omitting "Refused"
gen profdi2=q23g
recode profdi2 (1=5) (2=4) (3=2) (4=1) (8=3) (9=.)


* Attitudes toward US "War on Terror"
* Ordinal, "Don't know" as neutral category and omitting "Refused"
gen progwot=q32
recode progwot (1=2) (2=0) (8=1) (9=.)

sort country
merge country using "C:\replication\combined country data.dta"
drop _merge


* Countries by Income Groups (Low to High)
gen IncGroup=.
replace IncGroup=1 if ccode==771 | ccode==530 | ccode==452 | ccode==437 | ccode==501 | ccode==432 | ccode==475 | ccode==770 | ccode==433 | ccode==510 | ccode==500
replace IncGroup=2 if ccode==145 | ccode==710 | ccode==651 | ccode==750 | ccode==850 | ccode==663 | ccode==600 | ccode==135 | ccode==369
replace IncGroup=3 if ccode==160 | ccode==140 | ccode==355 | ccode==155 | ccode==660 | ccode==820 | ccode==70 | ccode==290 | ccode==365 | ccode==560 | ccode==640 | ccode==101
replace IncGroup=4 if ccode==20 | ccode==316 | ccode==220 | ccode==255 | ccode==200 | ccode==666 | ccode==325 | ccode==740 | ccode==690 | ccode==317 | ccode==732 | ccode==230 | ccode==380 | ccode==2

* Results for Table 2: Unfavorable attitudes toward United States
svyset country [pw=weight]
* Low income category
* The usual commands to produce percent correctly predicted do not work
* with the svyset option. The following will generate it less elegantly.

xi: svy: logit unfav3_usa i.education eduspend_gdp impusgdp06 exusgdp06 sun_usa democracy female age agesquared if country~=44 & IncGroup==1
test  _Ieducation_2 _Ieducation_3
predict usat if e(sample)
gen predicted=1 if usat>=0.5 & usat~=.
replace predicted=0 if usat<0.5 & usat~=.
tab predicted unfav3_usa, row
drop usat predicted

* Middle income category
xi: svy: logit unfav3_usa i.education eduspend_gdp impusgdp06 exusgdp06 sun_usa democracy female age agesquared if country~=44 & IncGroup==2 | IncGroup==3
test  _Ieducation_2 _Ieducation_3
predict usat if e(sample)
gen predicted=1 if usat>=0.5 & usat~=.
replace predicted=0 if usat<0.5 & usat~=.
tab predicted unfav3_usa, row
drop usat predicted

* High income category
xi: svy: logit unfav3_usa i.education eduspend_gdp impusgdp06 exusgdp06 sun_usa democracy female age agesquared if country~=44 & IncGroup==4
test  _Ieducation_2 _Ieducation_3
predict usat if e(sample)
gen predicted=1 if usat>=0.5 & usat~=.
replace predicted=0 if usat<0.5 & usat~=.
tab predicted unfav3_usa, row
drop usat predicted


* Results for Table 2: Unfavorable attitudes toward China
* Low income category
xi: svy: logit unfav3_chi i.education eduspend_gdp impchigdp06 exchigdp06 sun_chn democracy female age agesquared if country~=8 & IncGroup==1
test  _Ieducation_2 _Ieducation_3
predict chat if e(sample)
gen predicted=1 if chat>=0.5 & chat~=.
replace predicted=0 if chat<0.5 & chat~=.
tab predicted unfav3_chi, row
drop chat predicted

* Middle income category
xi: svy: logit unfav3_chi  i.education eduspend_gdp impchigdp06 exchigdp06 sun_chn democracy female age agesquared if country~=8 & IncGroup==2 | IncGroup==3
test  _Ieducation_2 _Ieducation_3
predict chat if e(sample)
gen predicted=1 if chat>=0.5 & chat~=.
replace predicted=0 if chat<0.5 & chat~=.
tab predicted unfav3_chi, row
drop chat predicted

* High income category
xi: svy: logit unfav3_chi i.education eduspend_gdp impchigdp06 exchigdp06 sun_chn democracy female age agesquared if country~=8 & IncGroup==4
test  _Ieducation_2 _Ieducation_3
predict chat if e(sample)
gen predicted=1 if chat>=0.5 & chat~=.
replace predicted=0 if chat<0.5 & chat~=.
tab predicted unfav3_chi, row
drop chat predicted

* Results for Table 3: Threat perception of United States
svyset country [pw=weight]
* Low income category
xi: svy: logit usthreat i.education eduspend_gdp impusgdp06 exusgdp06 sun_usa democracy female age agesquared if country~=44 & IncGroup==1
test  _Ieducation_2 _Ieducation_3
predict prust if e(sample)
gen predicted=1 if prust>=0.5 & prust~=.
replace predicted=0 if prust<0.5 & prust~=.
tab predicted usthreat, row
drop prust predicted

* Middle income category
xi: svy: logit usthreat i.education eduspend_gdp impusgdp06 exusgdp06 sun_usa democracy female age agesquared if country~=44 & IncGroup==2 | IncGroup==3
test  _Ieducation_2 _Ieducation_3
predict prust if e(sample)
gen predicted=1 if prust>=0.5 & prust~=.
replace predicted=0 if prust<0.5 & prust~=.
tab predicted usthreat, row
drop prust predicted

* High income category
xi: svy: logit usthreat i.education eduspend_gdp impusgdp06 exusgdp06 sun_usa democracy female age agesquared if country~=44 & IncGroup==4
test  _Ieducation_2 _Ieducation_3
predict prust if e(sample)
gen predicted=1 if prust>=0.5 & prust~=.
replace predicted=0 if prust<0.5 & prust~=.
tab predicted usthreat, row
drop prust predicted

* Results for Table 3: Threat perception of China
* Low income category
xi: svy: logit chthreat i.education eduspend_gdp impchigdp06 exchigdp06 sun_chn democracy female age agesquared if country~=8 & IncGroup==1
test  _Ieducation_2 _Ieducation_3
predict prcht if e(sample)
gen predicted=1 if prcht>=0.5 & prcht~=.
replace predicted=0 if prcht<0.5 & prcht~=.
tab predicted chthreat, row
drop prcht predicted

* Middle income category
xi: svy: logit chthreat i.education eduspend_gdp impchigdp06 exchigdp06 sun_chn democracy female age agesquared if country~=8 & IncGroup==2 | IncGroup==3
test  _Ieducation_2 _Ieducation_3
predict prcht if e(sample)
gen predicted=1 if prcht>=0.5 & prcht~=.
replace predicted=0 if prcht<0.5 & prcht~=.
tab predicted chthreat, row
drop prcht predicted

* High income category
xi: svy: logit chthreat  i.education eduspend_gdp impchigdp06 exchigdp06 sun_chn democracy female age agesquared if country~=8 & IncGroup==4
test  _Ieducation_2 _Ieducation_3
predict prcht if e(sample)
gen predicted=1 if prcht>=0.5 & prcht~=.
replace predicted=0 if prcht<0.5 & prcht~=.
tab predicted chthreat, row
drop prcht predicted


* Table 4: Attitudes toward trade
svyset country [pw=weight]
* Low income category
xi: svy: logit protrade01_3 i.education eduspend_gdp impusgdp06 exusgdp06 female age agesquared if country~=44 & IncGroup==1
test  _Ieducation_2 _Ieducation_3
predict prft if e(sample)
gen predicted=1 if prft>=0.5 & prft~=.
replace predicted=0 if prft<0.5 & prft~=.
tab predicted protrade01_3, row
drop prft predicted

* Middle income category
xi: svy: logit protrade01_3 i.education eduspend_gdp impusgdp06 exusgdp06 female age agesquared if country~=44 & IncGroup==2 | IncGroup==3
test  _Ieducation_2 _Ieducation_3
predict prft if e(sample)
gen predicted=1 if prft>=0.5 & prft~=.
replace predicted=0 if prft<0.5 & prft~=.
tab predicted protrade01_3, row
drop prft predicted

* High income category
xi: svy: logit protrade01_3 i.education eduspend_gdp impusgdp06 exusgdp06 female age agesquared if country~=44 & IncGroup==4
test  _Ieducation_2 _Ieducation_3
predict prft if e(sample)
gen predicted=1 if prft>=0.5 & prft~=.
replace predicted=0 if prft<0.5 & prft~=.
tab predicted protrade01_3, row
drop prft predicted


* Table 5: Attitudes toward free trade and unfavorable attitudes toward US 
svyset country [pw=weight]
xi: svy: logit unfav3_usa i.protrade2 i.profdi2 i.progwot i.education eduspend_gdp impusgdp06 exusgdp06 sun_usa democracy female age agesquared if country~=44
test _Ieducation_2 _Ieducation_3
test _Iprotrade2_2 _Iprotrade2_3 _Iprotrade2_4 _Iprotrade2_5
test _Iprofdi2_2 _Iprofdi2_3 _Iprofdi2_4
test _Iprogwot_1 _Iprogwot_2
predict usat if e(sample)
gen predicted=1 if usat>=0.5 & usat~=.
replace predicted=0 if usat<0.5 & usat~=.
tab predicted unfav3_usa, row
drop usat predicted

* Table 5: Attitudes toward free trade and unfavorable attitudes toward China
xi: svy: logit unfav3_chi i.protrade2 i.profdi2 i.education eduspend_gdp impchigdp06 exchigdp06 sun_chn democracy female age agesquared if country~=8
test _Ieducation_2 _Ieducation_3
test _Iprotrade2_2 _Iprotrade2_3 _Iprotrade2_4 _Iprotrade2_5
test _Iprofdi2_2 _Iprofdi2_3 _Iprofdi2_4 _Iprofdi2_5
predict chat if e(sample)
gen predicted=1 if chat>=0.5 & chat~=.
replace predicted=0 if chat<0.5 & chat~=.
tab predicted unfav3_chi, row
drop chat predicted


* Table 6: Attitudes toward free trade and threat perception of US 
svyset country [pw=weight]
xi: svy: logit usthreat i.protrade2 i.profdi2 i.progwot i.education eduspend_gdp impusgdp06 exusgdp06 sun_usa democracy female age agesquared if country~=44
test _Ieducation_2 _Ieducation_3
test _Iprotrade2_2 _Iprotrade2_3 _Iprotrade2_4 _Iprotrade2_5
test _Iprofdi2_2 _Iprofdi2_3 _Iprofdi2_4
test _Iprogwot_1 _Iprogwot_2
predict prust if e(sample)
gen predicted=1 if prust>=0.5 & prust~=.
replace predicted=0 if prust<0.5 & prust~=.
tab predicted usthreat, row
drop prust predicted

* Table 6: Attitudes toward free trade and threat perception of China
xi: svy: logit chthreat i.protrade2 i.profdi2 i.education eduspend_gdp impchigdp06 exchigdp06 sun_chn democracy female age agesquared if country~=8
test _Ieducation_2 _Ieducation_3
test _Iprotrade2_2 _Iprotrade2_3 _Iprotrade2_4 _Iprotrade2_5
test _Iprofdi2_2 _Iprofdi2_3 _Iprofdi2_4 _Iprofdi2_5 
predict prcht if e(sample)
gen predicted=1 if prcht>=0.5 & prcht~=.
replace predicted=0 if prcht<0.5 & prcht~=.
tab predicted chthreat, row
drop prcht predicted


